package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.enums.WarningLevelEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 预警通知response dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/9/10
 */
public class TIeWarningNotifyDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试批次id")
    private Long examId;//考试批次id

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考生id")
    private Long examStudentId;//考生id

    @ApiModelProperty(name = "考生姓名")
    private String name;//考生姓名

    @ApiModelProperty(name = "预警内容")
    private String info;//预警内容

    @ApiModelProperty(name = "预警等级")
    private WarningLevelEnum level;//预警等级

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "预警id")
    private Long warningId;//预警id

    @ApiModelProperty(name = "预警备注")
    private String remark;//预警备注

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试记录id")
    private Long examRecordId;//考试记录id

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public WarningLevelEnum getLevel() {
        return level;
    }

    public void setLevel(WarningLevelEnum level) {
        this.level = level;
    }

    public Long getWarningId() {
        return warningId;
    }

    public void setWarningId(Long warningId) {
        this.warningId = warningId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
